Skip to content
BleemeoBleemeo

Partially update a service

PATCH
/v1/service/{id}/
curl --request PATCH \
--url https://example.com/v1/service/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "active": true, "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "deactivated_at": "2026-04-15T12:00:00Z", "display_name": "example", "exe_path": "example", "instance": "example", "label": "example", "listen_addresses": "example", "monitor": true, "monitor_ca_file": "example", "monitor_expected_content": "example", "monitor_expected_response_code": 1, "monitor_headers": "example", "monitor_unexpected_content": "example", "monitor_url": "example", "monitor_probe": [ { "probing_agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "public_probe_name": "example", "enabled": true } ], "tags": [ { "name": "example", "tag_type": 0 } ] }'

Update one or more fields of an existing service.

id
required
string format: uuid

A UUID string identifying this service.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
string format: uuid
account_config
string format: uuid
active
boolean
agent
string format: uuid
nullable
average_response_time
number format: double
nullable
created_at
string format: date-time
events_start_at
string format: date-time
current_month_uptime
object
uptime
required
number format: double
nullable
incident_count
required
integer
nullable
current_status
integer
current_status_text
string
nullable
deactivated_at
string format: date-time
nullable
display_name
string
exe_path
string
has_metric_template_associated
boolean
id
string format: uuid
instance
string
<= 250 characters
is_sandbox
boolean
kubernetes_cluster_name
string
""
label
string
<= 1000 characters
listen_addresses
string
modified_at
string format: date-time
monitor
boolean
nullable
monitor_ca_file
string
monitor_expected_content
string
monitor_expected_response_code
integer
nullable >= -2147483648 <= 2147483647
monitor_headers
monitor_unexpected_content
string
monitor_url
string
nullable <= 1000 characters
monitor_probe
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
probing_agent
string format: uuid
nullable
public_probe_name
string
<= 50 characters
enabled
boolean
previous_month_uptime
object
uptime
required
number format: double
nullable
incident_count
required
integer
nullable
status_descriptions
Array<string>
tags
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
is_automatic
required
boolean
is_service_tag
required
boolean
name
required
string
<= 100 characters
tag_type
  • 0 - Automatic API
  • 1 - Created by Glouton
  • 2 - Created by frontend
  • 3 - Automatic Glouton
  • 4 - Automatic API for agent’s service
  • 10 - No type
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3 4 10
tag_type_text
required
string
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
account_config
required
string format: uuid
active
boolean
agent
string format: uuid
nullable
created_at
required
string format: date-time
events_start_at
required
string format: date-time
current_status
required
integer
current_status_text
required
string
nullable
deactivated_at
string format: date-time
nullable
display_name
string
exe_path
string
id
required
string format: uuid
instance
string
<= 250 characters
is_sandbox
required
boolean
kubernetes_cluster_name
required
string
""
label
required
string
<= 1000 characters
listen_addresses
string
modified_at
required
string format: date-time
monitor
boolean
nullable
monitor_ca_file
string
monitor_expected_content
string
monitor_expected_response_code
integer
nullable >= -2147483648 <= 2147483647
monitor_headers
monitor_unexpected_content
string
monitor_url
string
nullable <= 1000 characters
status_descriptions
required
Array<string>
Example
{
"kubernetes_cluster_name": ""
}